Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1030037 - RHEV tools-ISO will not install on an XP VM with a RHEL 7 host.
Summary: RHEV tools-ISO will not install on an XP VM with a RHEL 7 host.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Windows Guest Tools
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Lev Veyde
QA Contact: Jiri Belka
URL:
Whiteboard: integration
Depends On: 1123299
Blocks: 1135755 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-11-13 19:07 UTC by Bill Sanford
Modified: 2015-02-12 14:13 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: VM wasn't recognized as a valid, KVM one due to a BIOS name returned from within VM not being as expected. Consequence: RHEV Windows Guest Tools were not recognizing the VM as one requiring the installation of the support guest tools. Fix: Relevant components were fixed on the RHEL 7 side to return the BIOS name string that the installer was expected to see. Result: Now the installation inside VM running on a RHEL 7 based host functioning as expected.
Clone Of:
: 1123299 1135755 (view as bug list)
Environment:
Last Closed: 2015-02-12 14:13:12 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
The dialog box of the aborted install. (deleted)
2013-11-13 19:07 UTC, Bill Sanford
no flags Details

Description Bill Sanford 2013-11-13 19:07:26 UTC
Created attachment 823621 [details]
The dialog box of the aborted install.

Description of problem:
RHEV tools-ISO will not install on an XP VM with a RHEL 7 host and the abort dialog box appears.

Version-Release number of selected component (if applicable):
RHEL-7.0-20131111.1
WinXP SP3
rhev-guest-tools-iso-3.3-6.noarch.rpm

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 11 Doron Fediuck 2014-04-29 17:28:25 UTC
Regretting based on updated support metric.
XP shouldn't be a blocker but expected during 3.4.z.

Comment 19 Sibiao Luo 2014-08-19 02:10:26 UTC
Tried rhev-guest-tools-iso-3.3-6 and rhev-guest-tools-iso-3.5-2.el6_5 on qemu-kvm-1.5.3-60.el7_0.6.x86_64/seabios-1.7.2.2-12.el7_0.1.x86_64 which can complete installation successfully.

host info:
# uname -r && rpm -q qemu-kvm && rpm -q seabios
3.10.0-128.el7.x86_64
qemu-kvm-1.5.3-60.el7_0.6.x86_64
seabios-1.7.2.2-12.el7_0.1.x86_64
guest info:
winXP
rhev-guest-tools-iso-3.3-6.noarch.rpm
rhev-guest-tools-iso-3.5-2.el6_5.noarch.rpm

Results:
both rhev-guest-tools-iso-3.5-2.el6_5 can be completed installation successfully.

###############################################################

If use seabios-1.7.2.2-12.el7.x86_64 to test which can hit this issue, the abort dialog box appears "Installation of RHEV-Tools on the Guest should be performed only when running on RHEL 6 type Host (RHEV-H or RHEL). Installation aorted."
host info:
# uname -r && rpm -q qemu-kvm && rpm -q seabios
3.10.0-128.el7.x86_64
qemu-kvm-1.5.3-60.el7_0.6.x86_64
seabios-1.7.2.2-12.el7.x86_64
guest info:
winXP
rhev-guest-tools-iso-3.3-6.noarch.rpm

Base on above, I think seabios-1.7.2.2-12.el7_0.1.x86_64 in bug 1124216 also fix this issue.

Best Regards,
sluo

Comment 20 Sandro Bonazzola 2014-08-19 13:33:21 UTC
Lev according to comment #19, can we move this to QA?

Comment 21 Lev Veyde 2014-08-19 13:52:28 UTC
(In reply to Sandro Bonazzola from comment #20)
> Lev according to comment #19, can we move this to QA?

Yes, it should be OK.

Comment 22 Jiri Belka 2014-08-20 08:49:54 UTC
ok, 3.5.2 on rhel7 host in 3.5 setup.

vdsm-4.16.1-4.gitb2bf270.el7.x86_64
seabios-bin-1.7.2.2-12.el7.x86_64
qemu-kvm-1.5.3-60.el7_0.5.x86_64


Note You need to log in before you can comment on or make changes to this bug.